Skip to main content
POST
/
v1
/
resources
/
accountingInvoiceLineItem
Create Invoice Line Item
const options = {
  method: 'POST',
  headers: {
    'x-api-key': '<api-key>',
    'x-api-secret': '<api-key>',
    'x-connector-id': '<api-key>',
    'x-owner-id': '<api-key>',
    'x-session-token': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({description: '<string>', pricePerUnit: 1, quantity: 1, totalAmount: 1})
};

fetch('https://api.runmorph.dev/v1/resources/accountingInvoiceLineItem', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
curl --request POST \
--url https://api.runmorph.dev/v1/resources/accountingInvoiceLineItem \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>' \
--header 'x-connector-id: <api-key>' \
--header 'x-owner-id: <api-key>' \
--header 'x-session-token: <api-key>' \
--data '
{
"description": "<string>",
"pricePerUnit": 1,
"quantity": 1,
"totalAmount": 1
}
'
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.runmorph.dev/v1/resources/accountingInvoiceLineItem"

payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"pricePerUnit\": 1,\n \"quantity\": 1,\n \"totalAmount\": 1\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-api-secret", "<api-key>")
req.Header.Add("x-connector-id", "<api-key>")
req.Header.Add("x-owner-id", "<api-key>")
req.Header.Add("x-session-token", "<api-key>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runmorph.dev/v1/resources/accountingInvoiceLineItem",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'pricePerUnit' => 1,
'quantity' => 1,
'totalAmount' => 1
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>",
"x-api-secret: <api-key>",
"x-connector-id: <api-key>",
"x-owner-id: <api-key>",
"x-session-token: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.runmorph.dev/v1/resources/accountingInvoiceLineItem"

payload = {
"description": "<string>",
"pricePerUnit": 1,
"quantity": 1,
"totalAmount": 1
}
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>",
"x-connector-id": "<api-key>",
"x-owner-id": "<api-key>",
"x-session-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.post("https://api.runmorph.dev/v1/resources/accountingInvoiceLineItem")
.header("x-api-key", "<api-key>")
.header("x-api-secret", "<api-key>")
.header("x-connector-id", "<api-key>")
.header("x-owner-id", "<api-key>")
.header("x-session-token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"pricePerUnit\": 1,\n \"quantity\": 1,\n \"totalAmount\": 1\n}")
.asString();
{
  "object": "resource",
  "model": "<string>",
  "id": "<string>",
  "remote": {
    "id": "<string>"
  }
}
{
"message": ""
}

Authorizations

x-api-key
string
header
required
x-api-secret
string
header
required
x-connector-id
string
header
required
x-owner-id
string
header
required
x-session-token
string
header
required

Query Parameters

returnResource
default:false

Body

description
string
required

Name or label of the item

pricePerUnit
number
required

Price per unit before tax

Required range: x >= 0
quantity
number
required

Quantity of units billed

Required range: x >= 0
totalAmount
number
required

Total amount for the line (price × quantity)

Required range: x >= 0
invoice
object

Related invoice

item
object

Related item

Response

Created

object
enum<string>
default:resource
required
Available options:
resourceRef
model
string
required
id
string
required
remote
object